[% SET footerjs = 1 %]
[% INCLUDE 'doc-head-open.inc' %]
<title>UNIMARC field 128a builder</title>
[% INCLUDE 'doc-head-close.inc' %]
</head>

<body id="cat_unimarc_field_128a" class="cat" style="padding:1em;">
<h3>UNIMARC field 128a builder</h3>
<form name="f_pop" action="">
<table>
	<tr>
        <td><label for="f1">Form of musical work:</label></td>
		<td>
			<select name="f1" id="f1" size="1">
			[% IF ( f1ai ) %]
				<option value="ai#" selected="selected">air</option>
			[% ELSE %]
				<option value="ai#">air</option>
			[% END %]
			[% IF ( f1an ) %]
				<option value="an#" selected="selected">anthem </option>
			[% ELSE %]
				<option value="an#">anthem </option>
			[% END %]
			[% IF ( f1ar ) %]
				<option value="ar#" selected="selected">aria</option>
			[% ELSE %]
				<option value="ar#">aria</option>
			[% END %]
			[% IF ( f1bt ) %]
				<option value="bt#" selected="selected">ballet</option>
			[% ELSE %]
				<option value="bt#">ballet</option>
			[% END %]
			[% IF ( f1bd ) %]
				<option value="bd#" selected="selected">ballad</option>
			[% ELSE %]
				<option value="bd#">ballad</option>
			[% END %]
			[% IF ( f1bg ) %]
				<option value="bg#" selected="selected">bluegrass</option>
			[% ELSE %]
				<option value="bg#">bluegrass</option>
			[% END %]
			[% IF ( f1bl ) %]
				<option value="bl#" selected="selected">blues</option>
			[% ELSE %]
				<option value="bl#">blues</option>
			[% END %]
			[% IF ( f1cb ) %]
				<option value="cb#" selected="selected">chant, non christian</option>
			[% ELSE %]
				<option value="cb#">chant, non christian</option>
			[% END %]
			[% IF ( f1cc ) %]
				<option value="cc#" selected="selected">chant, christian</option>
			[% ELSE %]
				<option value="cc#">chant, christian</option>
			[% END %]
			[% IF ( f1cl ) %]
				<option value="cl#" selected="selected">choral-prelude</option>
			[% ELSE %]
				<option value="cl#">choral-prelude</option>
			[% END %]
			[% IF ( f1cg ) %]
				<option value="cg#" selected="selected">concerto grosso</option>
			[% ELSE %]
				<option value="cg#">concerto grosso</option>
			[% END %]
			[% IF ( f1ch ) %]
				<option value="ch#" selected="selected">choral</option>
			[% ELSE %]
				<option value="ch#">choral</option>
			[% END %]
			[% IF ( f1cn ) %]
				<option value="cn#" selected="selected">canon</option>
			[% ELSE %]
				<option value="cn#">canon</option>
			[% END %]
			[% IF ( f1co ) %]
				<option value="co#" selected="selected">concerto</option>
			[% ELSE %]
				<option value="co#">concerto</option>
			[% END %]
			[% IF ( f1cp ) %]
				<option value="cp#" selected="selected">chanson, polyphonic</option>
			[% ELSE %]
				<option value="cp#">chanson, polyphonic</option>
			[% END %]
			[% IF ( f1cr ) %]
				<option value="cr#" selected="selected">carol</option>
			[% ELSE %]
				<option value="cr#">carol</option>
			[% END %]
			[% IF ( f1cs ) %]
				<option value="cs#" selected="selected">chance composition / aleatoric music</option>
			[% ELSE %]
				<option value="cs#">chance composition / aleatoric music</option>
			[% END %]
			[% IF ( f1ct ) %]
				<option value="ct#" selected="selected">cantata</option>
			[% ELSE %]
				<option value="ct#">cantata</option>
			[% END %]
			[% IF ( f1cy ) %]
				<option value="cy#" selected="selected">country music</option>
			[% ELSE %]
				<option value="cy#">country music</option>
			[% END %]
			[% IF ( f1cz ) %]
				<option value="cz#" selected="selected">canzona</option>
			[% ELSE %]
				<option value="cz#">canzona</option>
			[% END %]
			[% IF ( f1df ) %]
				<option value="df#" selected="selected">danse form</option>
			[% ELSE %]
				<option value="df#">danse form</option>
			[% END %]
			[% IF ( f1dv ) %]
				<option value="dv#" selected="selected">divertimento</option>
			[% ELSE %]
				<option value="dv#">divertimento</option>
			[% END %]
			[% IF ( f1fg ) %]
				<option value="fg#" selected="selected">fugue</option>
			[% ELSE %]
				<option value="fg#">fugue</option>
			[% END %]
			[% IF ( f1fm ) %]
				<option value="fm#" selected="selected">folk music</option>
			[% ELSE %]
				<option value="fm#">folk music</option>
			[% END %]
			[% IF ( f1ft ) %]
				<option value="ft#" selected="selected">fantasia</option>
			[% ELSE %]
				<option value="ft#">fantasia</option>
			[% END %]
			[% IF ( f1gm ) %]
				<option value="gm#" selected="selected">gospel music</option>
			[% ELSE %]
				<option value="gm#">gospel music</option>
			[% END %]
			[% IF ( f1hy ) %]
				<option value="hy#" selected="selected">hymn</option>
			[% ELSE %]
				<option value="hy#">hymn</option>
			[% END %]
			[% IF ( f1in ) %]
				<option value="in#" selected="selected">intermezzo</option>
			[% ELSE %]
				<option value="in#">intermezzo</option>
			[% END %]
			[% IF ( f1jz ) %]
				<option value="jz#" selected="selected">jazz</option>
			[% ELSE %]
				<option value="jz#">jazz</option>
			[% END %]
			[% IF ( f1li ) %]
				<option value="li#" selected="selected">lied</option>
			[% ELSE %]
				<option value="li#">lied</option>
			[% END %]
			[% IF ( f1mc ) %]
				<option value="mc#" selected="selected">musical revue and comedy</option>
			[% ELSE %]
				<option value="mc#">musical revue and comedy</option>
			[% END %]
			[% IF ( f1md ) %]
				<option value="md#" selected="selected">madrigal</option>
			[% ELSE %]
				<option value="md#">madrigal</option>
			[% END %]
			[% IF ( f1mi ) %]
				<option value="mi#" selected="selected">minuet</option>
			[% ELSE %]
				<option value="mi#">minuet</option>
			[% END %]
			[% IF ( f1mr ) %]
				<option value="mr#" selected="selected">march</option>
			[% ELSE %]
				<option value="mr#">march</option>
			[% END %]
			[% IF ( f1ms ) %]
				<option value="ms#" selected="selected">mass</option>
			[% ELSE %]
				<option value="ms#">mass</option>
			[% END %]
			[% IF ( f1mo ) %]
				<option value="mo#" selected="selected">motet</option>
			[% ELSE %]
				<option value="mo#">motet</option>
			[% END %]
			[% IF ( f1mp ) %]
				<option value="mp#" selected="selected">moving picture music</option>
			[% ELSE %]
				<option value="mp#">moving picture music</option>
			[% END %]
			[% IF ( f1mu ) %]
				<option value="mu#" selected="selected">multiple forms</option>
			[% ELSE %]
				<option value="mu#">multiple forms</option>
			[% END %]
			[% IF ( f1mz ) %]
				<option value="mz#" selected="selected">mazurka</option>
			[% ELSE %]
				<option value="mz#">mazurka</option>
			[% END %]
			[% IF ( f1nc ) %]
				<option value="nc#" selected="selected">nocturne</option>
			[% ELSE %]
				<option value="nc#">nocturne</option>
			[% END %]
			[% IF ( f1op ) %]
				<option value="op#" selected="selected">opera</option>
			[% ELSE %]
				<option value="op#">opera</option>
			[% END %]
			[% IF ( f1or ) %]
				<option value="or#" selected="selected">oratorio</option>
			[% ELSE %]
				<option value="or#">oratorio</option>
			[% END %]
			[% IF ( f1ov ) %]
				<option value="ov#" selected="selected">overture</option>
			[% ELSE %]
				<option value="ov#">overture</option>
			[% END %]
			[% IF ( f1pf ) %]
				<option value="pf#" selected="selected">prelude and fugue</option>
			[% ELSE %]
				<option value="pf#">prelude and fugue</option>
			[% END %]
			[% IF ( f1pg ) %]
				<option value="pg#" selected="selected">programme music</option>
			[% ELSE %]
				<option value="pg#">programme music</option>
			[% END %]
			[% IF ( f1pm ) %]
				<option value="pm#" selected="selected">passion music</option>
			[% ELSE %]
				<option value="pm#">passion music</option>
			[% END %]
			[% IF ( f1po ) %]
				<option value="po#" selected="selected">polonaise</option>
			[% ELSE %]
				<option value="po#">polonaise</option>
			[% END %]
			[% IF ( f1pp ) %]
				<option value="pp#" selected="selected">popular music</option>
			[% ELSE %]
				<option value="pp#">popular music</option>
			[% END %]
			[% IF ( f1ps ) %]
				<option value="ps#" selected="selected">passacaglia</option>
			[% ELSE %]
				<option value="ps#">passacaglia</option>
			[% END %]
			[% IF ( f1pt ) %]
                <option value="pt#" selected="selected">partsong</option>
			[% ELSE %]
				<option value="pt#">partsong</option>
			[% END %]
			[% IF ( f1pv ) %]
				<option value="pv#" selected="selected">pavan</option>
			[% ELSE %]
				<option value="pv#">pavan</option>
			[% END %]
			[% IF ( f1rc ) %]
				<option value="rc#" selected="selected">rock music</option>
			[% ELSE %]
				<option value="rc#">rock music</option>
			[% END %]
			[% IF ( f1rd ) %]
				<option value="rd#" selected="selected">rondo</option>
			[% ELSE %]
				<option value="rd#">rondo</option>
			[% END %]
			[% IF ( f1rg ) %]
				<option value="rg#" selected="selected">ragtime</option>
			[% ELSE %]
				<option value="rg#">ragtime</option>
			[% END %]
			[% IF ( f1ri ) %]
				<option value="ri#" selected="selected">ricercare</option>
			[% ELSE %]
				<option value="ri#">ricercare</option>
			[% END %]
			[% IF ( f1rp ) %]
				<option value="rp#" selected="selected">rhapsody</option>
			[% ELSE %]
				<option value="rp#">rhapsody</option>
			[% END %]
			[% IF ( f1rq ) %]
				<option value="rq#" selected="selected">requiem mass</option>
			[% ELSE %]
				<option value="rq#">requiem mass</option>
			[% END %]
			[% IF ( f1sg ) %]
				<option value="sg#" selected="selected">song</option>
			[% ELSE %]
				<option value="sg#">song</option>
			[% END %]
			[% IF ( f1si ) %]
				<option value="si#" selected="selected">sinfonia</option>
			[% ELSE %]
				<option value="si#">sinfonia</option>
			[% END %]
			[% IF ( f1sn ) %]
				<option value="sn#" selected="selected">sonata</option>
			[% ELSE %]
				<option value="sn#">sonata</option>
			[% END %]
			[% IF ( f1sp ) %]
				<option value="sp#" selected="selected">symphonic poem</option>
			[% ELSE %]
				<option value="sp#">symphonic poem</option>
			[% END %]
			[% IF ( f1sq ) %]
				<option value="sq#" selected="selected">square dance</option>
			[% ELSE %]
				<option value="sq#">square dance</option>
			[% END %]
			[% IF ( f1st ) %]
				<option value="st#" selected="selected">study, exercise</option>
			[% ELSE %]
				<option value="st#">study, exercise</option>
			[% END %]
			[% IF ( f1su ) %]
				<option value="su#" selected="selected">suite</option>
			[% ELSE %]
				<option value="su#">suite</option>
			[% END %]
			[% IF ( f1sy ) %]
				<option value="sy#" selected="selected">symphony</option>
			[% ELSE %]
				<option value="sy#">symphony</option>
			[% END %]
			[% IF ( f1tc ) %]
				<option value="tc#" selected="selected">toccata</option>
			[% ELSE %]
				<option value="tc#">toccata</option>
			[% END %]
			[% IF ( f1ts ) %]
				<option value="ts#" selected="selected">triosonata</option>
			[% ELSE %]
				<option value="ts#">triosonata</option>
			[% END %]
			[% IF ( f1vr ) %]
				<option value="vr#" selected="selected">variation</option>
			[% ELSE %]
				<option value="vr#">variation</option>
			[% END %]
			[% IF ( f1wz ) %]
				<option value="wz#" selected="selected">waltz</option>
			[% ELSE %]
				<option value="wz#">waltz</option>
			[% END %]
			[% IF ( f1zz ) %]
				<option value="zz#" selected="selected">other form</option>
			[% ELSE %]
				<option value="zz#">other form</option>
			[% END %]
			</select>
		</td></tr>
</table>
<fieldset class="action"><input type="button" value="OK" onclick="report();" /> <a href="#" class="cancel close">Cancel</a></fieldset>
</form>

[% MACRO jsinclude BLOCK %]
    <script type="text/javascript">
        var dateformat = "[% Koha.Preference('dateformat') | html %]";
        function report() {
            var doc = opener.document;
            var field = doc.getElementById("[% index | html %]");
            field.value = document.f_pop.f1.value;
            window.close();
            return false;
        }
    </script>
[% END %]

[% INCLUDE 'intranet-bottom.inc' popup_window=1 %]
